# When

### Definition

```javascript
function When(condition: Boolean, if_true: any, if_false: any) {
    return any
}
```

### Input

* `condition` : the boolean condition which is to be checked
* `if_true` : the value to be returned when the condition is true
* `if_false` : the value to be returned when the condition is false

### Returns any

This will return the statement which is true according to the given condition


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://creatorlabs.gitbook.io/boltui-docs-preview/api-reference/index/when.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
